# Changelog

All notable changes to this project will be documented in this file.

The format is based on [CHANGELOG.md](https://keepachangelog.com/en/1.1.0/) and this project adheres to [Semantic Versioning](https://semver.org/).
_______________________________________________________________________________
## [1.2.2] - 2024-11-11

- perf: increase docker image status update system (5af0318)
- chore: disable poetry package-mode (9729fcc)
- docs: add new Rocket screenshot (d1832d7)
- add new Rocket image (7ffe546)
- feat: add netexec tool (ec96ab9)
- fix(theme): prevent string index error in apply_combo_box_style (b674ef7)
- Merge branch 'refactor-consts-colors' into 'main' (efd4bb2)
- refactor: implement consts colors to improve code reading (7a36202)
- refactor: optimize theme handling in apply_combo_box_style function (f8b0026)
- Merge branch 'fix-htb-theme' into 'main' (6585d37)
- fix: Color theme HTB in Selection Theme (e619c2d)
- refactor: move border-radius property to styles.py (cae34a1)
- chore: fix HTB color palette (a10fa5e)
- Merge branch 'feature-htb-theme' into 'main' (cb0fcf0)
- Merge branch 'fix-parrot-theme' into 'main' (cea36e0)
- chore: update python deps (c9b40fd)
- complete new theme (aa022f2)
- feat: add HackTheBox theme (d240c4c)
- Merge branch 'main' of https://gitlab.com/AlexFalcosAlex/rocket into fix-parrot-theme (e786dfd)
- chore: add parrot-menu category (fa897d9)
- refactor: use of name_entity convention (8f0c52d)
- refactor: improve directory naming for better clarity (48b2f94)
- build(CI): add python dependency (49c58ed)
- fix: correct container ID extraction to stop selected Docker container (2474948)
- chore: rename main theme to `Default` (e47c558)
- refactor: update resources folder path for image download verification icon (b5a0fc1)
- refactor: update resources path to tool_item (7a74454)
- chore(Makefile): add RESOURCES_DIR to lint stage (dfce57c)
- fix(Makefile): add correct resources folder path (d75111d)
- refactor: move `assets` and `themes` folder into `resources` for better organization (2778050)
- refactor: remove useless import (QInputDialog) (4f673b3)
- fix: Color Parrot Theme (0f728da)
- refactor: improve flag validation for nmap (40c67e4)
- feat: add option to stop all containers in the selection dialog (0bb48e0)
- feat: handle multiple containers for the same image (68d753b)
- docs: update Rocket description (5c03cb0)
- docs: add proper code_of_conduct link (a0cc50a)
- docs: add code_of_conduct and gitlab pipeline badge (2e11fd6)
- refactor: remove init_ui from app.py (c96a9ab)
- docs: add docstrings for various classes and functions (9588c49)
- refactor: rename main_splitter to content_layout (e44f2db)
- refactor: merge setup_tool_display and setup_tool_list into display_tool_list (c9138fc)
- feat: add 'Close' button next to 'Change Theme' button (3f25a22)
- feat: add support for updating version in the desktop entry (cec71c2)
- docs: add Makefile info in README.md (d05b891)
- chore: update info in credits dialog (29330dd)
- fix(debian): update destdir path (989dd1a)
- fix(debian): move debian entries to the right folder, use install script (a946690)
- build: move icon and desktop entry to debian source folder (ad0a126)
- build(debian): update rules file in order to install .desktop entry (cc970a6)
- feat(Makefile): add include-binaries option to debuild (05c0e90)
- chore(debian): use .png logo instead of .ico (26c5bbb)
- build(Debian): add desktop entry and icon (8cc618f)
- refactor: update the import path in all project files (cce4c1e)